Bug 1229554 - Package zanata-cli with 0install
Package zanata-cli with 0install
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-zanata-client (Show other bugs)
unspecified
Unspecified Unspecified
high Severity high
: ---
: client-3.7
Assigned To: Alex Eng
Zanata-QA Mailling List
: screened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-09 00:40 EDT by Michelle Kim
Modified: 2015-07-21 23:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: 3
Clone Of:
Environment:
Last Closed: 2015-07-21 23:47:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michelle Kim 2015-06-09 00:40:21 EDT
This RFE is to have a client that can be easily packaged : a system like http://0install.net/
Comment 1 Alex Eng 2015-06-10 00:11:26 EDT
Initial implementation: oInstall

- have zanata-dist to package in 0install
- determine how the dependency being pull
- Not part of zanata build process yet(try maven plugin for feed generation, https://github.com/0install/pom2feed)
- have it test on linux, mac and windows
Comment 2 Alex Eng 2015-06-17 23:19:15 EDT
Test run:

- 0install runs fine in linux and windows platform. 
- JRE dependency doesn't support in Mac OS. See  https://github.com/0install/repo.roscidus.com/blob/master/java/openjdk-jre.xml and http://repo.roscidus.com/java/openjdk-jre

- files zanata-cli-{version}.xml will be hosted in http://zanata.org/files/0install/
Comment 3 Alex Eng 2015-06-21 18:15:07 EDT
zanata-client doc PR: 
https://github.com/zanata/zanata-client/pull/68
Comment 4 Damian Jansen 2015-06-24 21:18:12 EDT
Verified at 5b1d29ba1d69b777b0bcee43c237aa8d70b803e0

Note You need to log in before you can comment on or make changes to this bug.